Skip to main content
GET
List (All) Gift Card Redemptions

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

account
string

Limit the gift card redemption list to a specified account id or vid. Lists all gift card redemptions associated with that Account. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
pin
string

Limits the gift card redemption list to that associated with a specific gift card pin

Response

JSON A list array with a data property that contains an array of up to limit GiftCardRedemptions, starting after the specified starting_after GiftCardRedemption (or ending before the specified ending_before GiftCardRedemption). Each entry in the array is a full GiftCardRedemption object. If no more GiftCards are available, the resulting array will be empty. This request should never throw an error.

A list of GiftCardRedemption objects matching the query. Also:

  • "total_count": Integer count of the number of TimeInterval in the returned list.

  • "url": The query string provided in the request

  • "next": The route (partial URL) to the next TimeInterval object (string to select the "next"); included vid should match that of the last object returned here

  • "previous": The route (partial URL) to the previous TimeInterval object (string to select the "previous"); included vid should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next GiftCardRedemptions object (string to select the “next”); included id should match that of the last object returned here

previous
string

The route (partial URL) to the previous GiftCardRedemptions object (string to select the “previous”); included id should match that of the first object returned here

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"GiftCardRedemption\", \"vid\": \"c6e455edb0184e55ad42cbb732546e2ca27b05a0\", \"created\": \"2021-03-17T01:28:45-07:00\", \"gift_card\": { \"object\": \"GiftCard\", \"vid\": \"b7987ce69b37711c3216a85a5a40766251f4f796\", \"last_digits\": \"VA32\", \"pin_length\": 16, \"hash_type\": \"sha1\", \"pin_hash\": \"29075fbdd4e305ad42b7fabcbf56a60d3f2c84b5\", \"payment_provider\": \"Topps\", \"status\": \"Redeemed\", \"amount\": 150, \"currency\": \"MXN\", \"product_number\": \"13159854336352441111\" }, \"account\": { \"object\": \"Account\", \"id\": \"Account_1615966178\", \"vid\": \"b97ecb369015c477b10f8f743473a8f85b3d55c5\", \"created\": \"2021-03-17T00:29:39-07:00\", \"default_currency\": \"MXN\", \"email\": \"Rose_P@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Vindicia\", \"name\": \"Rose Pexample\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"f9a24a6f627d39e17d2678e40131f46217570106\", \"name\": \"Rose Pexample\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"penny\", \"favorite activity\": \"watching movies\" } } } ], \"total_count\": 1, \"url\": \"/gift_card_redemptions?account=Account_1615966178\", \"next\": \"/gift_card_redemptions?account=Account_1615966178&starting_after=c6e455edb0184e55ad42cbb732546e2ca27b05a0\", \"previous\": \"/gift_card_redemptions?account=Account_1615966178&ending_before=c6e455edb0184e55ad42cbb732546e2ca27b05a0\" }"